
TYPO3.Flow - Bug # 33789

Status: Resolved Priority: Could have
Author: Karsten Dambekalns Category: Property
Created: 2012-02-08 Assigned To: Karsten Dambekalns
Updated: 2012-03-13 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: PersistentObjectConverter may break with < PHP 5.3.4
Description

The use of newInstanceArgs() inside the PersistentObjectConverter breaks for PHP older than 5.3.4 if a class has no constructor (see
https://bugs.php.net/52854).

Related issues:
related to TYPO3 Flow Base Distribution - Task # 27770: Remove deprecated met... Resolved 2011-06-29

Associated revisions
Revision a29012b6 - 2012-03-12 15:19 - Karsten Dambekalns

[TASK] Remove deprecated methods and unused code

Things which have been deprecated prior to the 1.0.0 release are
removed with this change:

    -  Cache\AbstractFrontend->getClassTag()
    -  ObjectManager->create()
    -  ObjectManager->recreate()
    -  HashService->generateSaltedMd5()
    -  HashService->validateSaltedMd5()

Resolves: #27770
Fixes: #33789
Releases: 1.1
Change-Id: I565146b05577d946e9031a52b0444f72666cba22

History
#1 - 2012-02-08 16:57 - Karsten Dambekalns
- Target version changed from 1.0.3 to 1.1
- Affected Flow version changed from FLOW3 1.0.0 to Git master

Ok, this is indeed caused by https://review.typo3.org/5992

#2 - 2012-02-08 17:02 - Gerrit Code Review
- Status changed from Accepted to Under Review

2015-08-03 1/2

https://bugs.php.net/52854
https://review.typo3.org/5992


Patch set 12 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5992

#3 - 2012-02-09 11:07 - Gerrit Code Review

Patch set 13 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5992

#4 - 2012-03-12 15:26 - Gerrit Code Review

Patch set 14 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5992

#5 - 2012-03-13 02:38 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:a29012b669e90a7e39a4727514538ace5a77eb80.
